structar(3)

NAME
structar - libmtp data structures

SYNOPSIS

  Data Structures
struct LIBMTP_device_entry_struct
struct LIBMTP_raw_device_struct
struct LIBMTP_error_struct
struct LIBMTP_allowed_values_struct
struct LIBMTP_device_extension_struct
struct LIBMTP_mtpdevice_struct
struct LIBMTP_file_struct
struct LIBMTP_track_struct
struct LIBMTP_playlist_struct
struct LIBMTP_album_struct
struct LIBMTP_folder_struct
struct LIBMTP_filesampledata_struct
struct LIBMTP_devicestorage_struct

  Typedefs
typedef enum LIBMTP_event_enum LIBMTP_event_t

  Enumerations
enum LIBMTP_event_enum { LIBMTP_EVENT_NONE, LIBMTP_EVENT_STORE_ADDED, LIBMTP_EVENT_STORE_REMOVED, LIBMTP_EVENT_OBJECT_ADDED, LIBMTP_EVENT_OBJECT_REMOVED, LIBMTP_EVENT_DEVICE_PROPERTY_CHANGED }

Detailed Description

Enumeration Type Documentation

  enum LIBMTP_event_enum
LIBMTP Event structure TODO: add all externally visible events here

Author

Generated automatically by Doxygen for libmtp from the source code.